# ONNX Runtime JavaScript API
Documentation for ONNX Runtime JavaScript API

ONNX Runtime JavaScript API is a unified API for all JavaScript usages, including the following NPM packages:

- onnxruntime-node
- onnxruntime-web
- onnxruntime-react-native

See also:

- Get Started
- Inference examples

## Index

### Namespaces

- Env
- InferenceSession
- Tensor

### Interfaces

- Env
- InferenceSession
- InferenceSessionFactory
- Tensor
- TensorConstructor
- TypedTensor

### Type aliases

- OnnxValue

### Variables

- InferenceSession
- Tensor
- env

## Type aliases

### OnnxValue

OnnxValue: Tensor | NonTensorType

- Defined in onnx-value.ts:13

Type OnnxValue Represents both tensors and non-tensors value for model's inputs/outputs.

NOTE: currently not support non-tensor

## Variables

### InferenceSession

InferenceSession: InferenceSessionFactory

- Defined in inference-session.ts:377

### Tensor

Tensor: TensorConstructor

- Defined in tensor.ts:238

### env

env: Env = ...

- Defined in env.ts:118

Represent a set of flags as a global singleton.

Generated using TypeDoc